GET /serviceengine/{uuid}/seagent/

GET /serviceengine/{uuid}/seagent/

/serviceengine/{uuid}/seagent/

Request
URI
GET
https://{api_host}/api/serviceengine/{uuid}/seagent
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SeAgentStateRuntime of type(s) application/json
{
    "active_se_1": false,
    "active_se_2": false,
    "batch_dequeue_timeout_ms": 0,
    "batch_enqueue_timeout_ms": 0,
    "bgp_peers_status_up": false,
    "boot_mode": "string",
    "controller_ip": "string",
    "controller_port": 0,
    "cpustats_interval_sec": 0,
    "ctrl_reg_timeout_sec": 0,
    "ctrl_rpc_timeout_on_dp_hb_failed_msec": 0,
    "ctrl_rpc_timeout_sec": 0,
    "debug_mode": false,
    "disk_space_usage": {
        "available_size": "string",
        "mount_dir": "string",
        "percentage_used": "string",
        "total_size": "string",
        "used_size": "string"
    },
    "dp_batch_size": 0,
    "dp_response_timeout_sec": 0,
    "fsm_state": "string",
    "gw_monitor_status_up": false,
    "headless_mode": false,
    "headless_timeout_sec": 0,
    "heartbeat_miss_limit": 0,
    "heartbeat_timeout_sec": 0,
    "hybrid_rss_mode": false,
    "last_heartbeat_miss_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_heartbeat_recv_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_register_failed_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_register_success_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_register_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_se_headless_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_se_online_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_se_ready_sent_time": {
        "secs": 0,
        "usecs": 0
    },
    "last_vs_deleted_on_sync_time": {
        "secs": 0,
        "usecs": 0
    },
    "mem_mb": 0,
    "mgmt_ip": "string",
    "ntp_synchronization_status": false,
    "num_config_objects": 0,
    "num_cpu": 0,
    "num_dataplane_registrations": 0,
    "num_dispatcher_cpu": 0,
    "num_dp_heartbeat_miss": 0,
    "num_flow_cpu": 0,
    "num_graphdb_dangling_errors": 0,
    "num_heartbeat": 0,
    "num_queues": 0,
    "num_queues_per_dispatcher": 0,
    "num_rx_descriptors": 0,
    "num_tx_descriptors": 0,
    "num_vnic": 0,
    "num_vs_deleted_on_sync": 0,
    "registered_with_controller": false,
    "sdb_stats": [
        {
            "dp_to_redis_del": 0,
            "dp_to_redis_del_err": 0,
            "dp_to_redis_del_err_not_conn": 0,
            "dp_to_redis_del_err_not_ok": 0,
            "dp_to_redis_get": 0,
            "dp_to_redis_get_err": 0,
            "dp_to_redis_get_err_not_conn": 0,
            "dp_to_redis_get_err_not_ok": 0,
            "dp_to_redis_set_ex": 0,
            "dp_to_redis_set_ex_err": 0,
            "dp_to_redis_set_ex_err_not_conn": 0,
            "dp_to_redis_set_ex_err_not_ok": 0,
            "dp_to_redis_set_exnx": 0,
            "dp_to_redis_set_exnx_err": 0,
            "dp_to_redis_set_exnx_err_not_conn": 0,
            "dp_to_redis_set_exnx_err_not_ok": 0,
            "dp_to_redis_sync": 0,
            "dp_to_redis_sync_err": 0,
            "dp_to_redis_sync_err_not_conn": 0,
            "dp_to_redis_sync_err_not_ok": 0,
            "from_redis_delete": 0,
            "from_redis_expired_delete": 0,
            "from_redis_full_sync": 0,
            "from_redis_update": 0,
            "obj_uuid": "string",
            "redis_conn_state": "string",
            "to_redis_all_keys_get_val": 0,
            "to_redis_all_keys_get_val_err": 0,
            "to_redis_all_keys_get_val_err_not_conn": 0,
            "to_redis_all_keys_get_val_err_not_ok": 0,
            "to_redis_config_get_port": 0,
            "to_redis_config_get_port_err": 0,
            "to_redis_config_get_port_err_not_conn": 0,
            "to_redis_config_get_port_err_not_ok": 0,
            "to_redis_config_set_kea": 0,
            "to_redis_config_set_kea_err": 0,
            "to_redis_config_set_kea_err_not_conn": 0,
            "to_redis_config_set_kea_err_not_ok": 0,
            "to_redis_flushdb": 0,
            "to_redis_flushdb_err": 0,
            "to_redis_flushdb_err_not_conn": 0,
            "to_redis_flushdb_err_not_ok": 0,
            "to_redis_get_all_keys": 0,
            "to_redis_get_all_keys_err": 0,
            "to_redis_get_all_keys_err_not_conn": 0,
            "to_redis_get_all_keys_err_not_ok": 0,
            "to_redis_get_val": 0,
            "to_redis_get_val_err": 0,
            "to_redis_get_val_err_not_conn": 0,
            "to_redis_get_val_err_not_ok": 0,
            "to_redis_pipeline_flush": 0,
            "to_redis_pipeline_flush_err": 0,
            "to_redis_pipeline_flush_err_not_ok": 0,
            "to_redis_pipeline_size": 0,
            "to_redis_scan": 0,
            "to_redis_scan_batch_size": 0,
            "to_redis_scan_err": 0,
            "to_redis_scan_err_not_conn": 0,
            "to_redis_scan_err_not_ok": 0,
            "to_redis_scan_mget_val": 0,
            "to_redis_scan_mget_val_err": 0,
            "to_redis_scan_mget_val_err_not_conn": 0,
            "to_redis_scan_mget_val_err_not_ok": 0,
            "to_redis_select_db": 0,
            "to_redis_select_db_err": 0,
            "to_redis_select_db_err_not_conn": 0,
            "to_redis_select_db_err_not_ok": 0,
            "vs_ref": "string"
        }
    ],
    "se_dp_uptime": "string",
    "se_headless_count": 0,
    "se_heartbeat_miss_count": 0,
    "se_ready_count": 0,
    "se_registration_count": 0,
    "se_registration_fail_count": 0,
    "se_uuid": "string",
    "vrf_with_nsx_vxlan_count": 0,
    "vrf_with_vmotion_garp_count": 0,
    "vs_redis_map": [
        {
            "redis_db": 0,
            "redis_ip": "string",
            "redis_port": 0,
            "vs_uuid": "string"
        }
    ]
}
boolean
active_se_1
Optional

If active_se_1 tag is set. Field introduced in 20.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
active_se_2
Optional

If active_se_2 tag is set. Field introduced in 20.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
batch_dequeue_timeout_ms
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
batch_enqueue_timeout_ms
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
bgp_peers_status_up
Optional

Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
boot_mode
Optional

Displays whether the service engine booted in BIOS or UEFI mode. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
controller_ip
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
controller_port
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
cpustats_interval_sec
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
ctrl_reg_timeout_sec
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
ctrl_rpc_timeout_on_dp_hb_failed_msec
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
ctrl_rpc_timeout_sec
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
debug_mode
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
disk_space_usage
Optional

disk_space_usage

integer As int32 As int32
dp_batch_size
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
dp_response_timeout_sec
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
fsm_state
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
gw_monitor_status_up
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
headless_mode
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
headless_timeout_sec
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
heartbeat_miss_limit
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
heartbeat_timeout_sec
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
hybrid_rss_mode
Optional

Indicates status of SE hybrid only RSS mode of operation. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
last_heartbeat_miss_time
Optional

last_heartbeat_miss_time

object
last_heartbeat_recv_time
Optional

last_heartbeat_recv_time

object
last_register_failed_time
Optional

last_register_failed_time

object
last_register_success_time
Optional

last_register_success_time

object
last_register_time
Optional

last_register_time

object
last_se_headless_time
Optional

last_se_headless_time

object
last_se_online_time
Optional

last_se_online_time

object
last_se_ready_sent_time
Optional

last_se_ready_sent_time

object
last_vs_deleted_on_sync_time
Optional

last_vs_deleted_on_sync_time

integer As int32 As int32
mem_mb
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
mgmt_ip
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
ntp_synchronization_status
Optional

Indicates the status of SE NTP synchronization. Field introduced in 22.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_config_objects
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_cpu
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_dataplane_registrations
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_dispatcher_cpu
Optional

Field introduced in 17.2.8. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_dp_heartbeat_miss
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_flow_cpu
Optional

Field introduced in 17.2.8. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_graphdb_dangling_errors
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int64 As int64
num_heartbeat
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_queues
Optional

Field introduced in 17.2.8. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_queues_per_dispatcher
Optional

Number of queues handled by every dispatcher. Field introduced in 18.2.8, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_rx_descriptors
Optional

Number of NIC RX descriptors. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_tx_descriptors
Optional

Number of NIC TX descriptors. Field introduced in 20.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_vnic
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_vs_deleted_on_sync
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
registered_with_controller
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
sdb_stats
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_dp_uptime
Optional

Shows how long the service engine datapath has been up and running. Field introduced in 18.2.10, 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
se_headless_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
se_heartbeat_miss_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
se_ready_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
se_registration_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
se_registration_fail_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
vrf_with_nsx_vxlan_count
Optional

Number of VRFs on the SE with TGW VXLAN attribute set. Field introduced in 32.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
vrf_with_vmotion_garp_count
Optional

Number of VRFs on the SE with vMotion GARP enabled (EVPN or garp_on_vmotion attribute). Field introduced in 32.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
vs_redis_map
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/seagent
                
Service Engine Operations
GET
GET /serviceengine
GET
GET /serviceengine/{uuid}
PUT
PUT /serviceengine/{uuid}
PATCH
PATCH /serviceengine/{uuid}
DELETE
DELETE /serviceengine/{uuid}
POST
POST /serviceengine/{uuid}/reboot
POST
POST /serviceengine/{uuid}/forcedelete
POST
POST /serviceengine/{uuid}/switchover
POST
POST /serviceengine/clear
GET
GET /serviceengine/{uuid}/runtime/
GET
GET /serviceengine/{uuid}/runtime/detail/
GET
GET /serviceengine/{uuid}/internal/
GET
GET /serviceengine/{uuid}/ipstat/
GET
GET /serviceengine/{uuid}/arpstat/
GET
GET /serviceengine/{uuid}/icmpstat/
GET
GET /serviceengine/{uuid}/mbufstats/
GET
GET /serviceengine/{uuid}/mallocstats/
GET
GET /serviceengine/{uuid}/shmallocstats/
GET
GET /serviceengine/{uuid}/seassertstats/dp/
GET
GET /serviceengine/{uuid}/seassertstats/ag/
GET
GET /serviceengine/{uuid}/sevshbstats/
GET
GET /serviceengine/{uuid}/sevssplacement/
GET
GET /serviceengine/{uuid}/cpu/
GET
GET /serviceengine/{uuid}/cpu/detail/
GET
GET /serviceengine/{uuid}/meminfo/
GET
GET /serviceengine/{uuid}/interface/
GET
GET /serviceengine/{uuid}/systeminfo/
GET
GET /serviceengine/{uuid}/hugepageinfo/
GET
GET /serviceengine/{uuid}/bgp/
GET
GET /serviceengine/{uuid}/bgp/debug/
GET
GET /serviceengine/{uuid}/bgp/advertised_routes/
GET
GET /serviceengine/{uuid}/bgp/peer_status/
GET
GET /serviceengine/{uuid}/bgp/peer_info/
GET
GET /serviceengine/{uuid}/bgp/running_config/
GET
GET /serviceengine/{uuid}/bgp/peer_state/
GET
GET /serviceengine/{uuid}/bfd/running_config/
GET
GET /serviceengine/{uuid}/bfd/session_status/
GET
GET /serviceengine/{uuid}/interfacesummary/
GET
GET /serviceengine/{uuid}/interface/lacp/
GET
GET /serviceengine/{uuid}/lldp/
GET
GET /serviceengine/{uuid}/route/
GET
GET /serviceengine/{uuid}/ip6route/
GET
GET /serviceengine/{uuid}/arptable/
GET
GET /serviceengine/{uuid}/httpstats/
GET
GET /serviceengine/{uuid}/seruminsertionstats/
GET
GET /serviceengine/{uuid}/selogstats/
GET
GET /serviceengine/{uuid}/seauthstats/
GET
GET /serviceengine/{uuid}/vnicdb/
GET
GET /serviceengine/{uuid}/vnicdbhistory/
GET
GET /serviceengine/{uuid}/graphdb/
GET
GET /serviceengine/{uuid}/seagent/
GET
GET /serviceengine/{uuid}/resourcemap/
GET
GET /serviceengine/{uuid}/consistenthash/
GET
GET /serviceengine/{uuid}/appmap/
GET
GET /serviceengine/{uuid}/shardclientevents/
GET
GET /serviceengine/{uuid}/qatinfo/
GET
GET /serviceengine/{uuid}/rteringstat/
GET
GET /serviceengine/{uuid}/sehmprobedisable/
GET
GET /serviceengine/{uuid}/flowtablestat/
GET
GET /serviceengine/{uuid}/flowtable/
GET
GET /serviceengine/{uuid}/vshash/
GET
GET /serviceengine/{uuid}/flowtable_remote/
GET
GET /serviceengine/{uuid}/tcp-flows/
GET
GET /serviceengine/{uuid}/sctp-flows/
GET
GET /serviceengine/{uuid}/tcp-flows/detail/
GET
GET /serviceengine/{uuid}/sctp-flows/detail/
GET
GET /serviceengine/{uuid}/metrics/
GET
GET /serviceengine/{uuid}/metrics/detail/
GET
GET /serviceengine/{uuid}/metrics/debug/
GET
GET /serviceengine/{uuid}/metrics/debug/summary/
GET
GET /serviceengine/{uuid}/dosstat/
GET
GET /serviceengine/{uuid}/memdist/
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mbuf/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl_small/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/sefault/clear
GET
GET /serviceengine/{uuid}/placement/
GET
GET /serviceengine/{uuid}/reservedvs/
GET
GET /serviceengine/{uuid}/microservice/
GET
GET /serviceengine/{uuid}/ndtable/
GET
GET /serviceengine/{uuid}/ip6stat/
GET
GET /serviceengine/{uuid}/icmp6stat/
GET
GET /serviceengine/{uuid}/natstat/
GET
GET /serviceengine/{uuid}/nat-flows/
GET
GET /serviceengine/{uuid}/network-service/
GET
GET /serviceengine/{uuid}/natpolicystats/
GET
GET /serviceengine/{uuid}/vrf-ip-info/
GET
GET /serviceengine/{uuid}/ratelimiting/rl/internal/
GET
GET /serviceengine/{uuid}/ratelimiting/msf/internal/
GET
GET /serviceengine/{uuid}/routestat/
GET
GET /serviceengine/{uuid}/route-flows/
GET
GET /serviceengine/{uuid}/objsync/
GET
GET /serviceengine/{uuid}/resolverdb/
GET
GET /serviceengine/{uuid}/resolverdbsummary/
GET
GET /serviceengine/{uuid}/seagent_sedatastore_download_fail_obj_list/
GET
GET /serviceengine/{uuid}/botuacacheruntime/
GET
GET /serviceengine/{uuid}/botuacachestatsruntime/
GET
GET /serviceengine/{uuid}/placement/summary/
GET
GET /serviceengine/{uuid}/placement/detail/
GET
GET /serviceengine/{uuid}/adaptiveevents/
GET
GET /serviceengine/{uuid}/dpmetrics/
GET
GET /serviceengine/{uuid}/objsync_stats/
GET
GET /serviceengine/{uuid}/diameter/connections/
GET
GET /serviceengine/{uuid}/dump_objsync_stats/
GET
GET /serviceengine/{uuid}/qatstats/
GET
GET /serviceengine/{uuid}/flowtablestat6/
GET
GET /serviceengine/{uuid}/selogagentstats/
GET
GET /serviceengine/{uuid}/selogagentoperstats/
GET
GET /serviceengine/{uuid}/selogagentcontrollerinterfacestats/
GET
GET /serviceengine/{uuid}/selogagentnetworkstreamstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/details/
GET
GET /serviceengine/{uuid}/nicinfo/